Bug 1330608 - RFE - alias debug to debug_level
Summary: RFE - alias debug to debug_level
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.4
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 14:48 UTC by Striker Leggette
Modified: 2020-05-02 18:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-23 15:56:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FedoraHosted SSSD 2999 0 None None None 2016-04-26 14:51:59 UTC
Github SSSD sssd issues 4040 0 None None None 2020-05-02 18:21:48 UTC

Description Striker Leggette 2016-04-26 14:48:08 UTC
[+] Description of problem:

Many folks accidentally use "debug", "debug level" or "log level" instead of "debug_level" to set a log level in SSSD.  This is a request to alias those.

Comment 1 Lukas Slebodnik 2016-04-26 16:17:12 UTC
(In reply to Striker Leggette from comment #0)
> [+] Description of problem:
> 
> Many folks accidentally use "debug", "debug level" or "log level" instead of
> "debug_level" to set a log level in SSSD.  This is a request to alias those.

We have a plan to validate sssd.conf. I think we should focus on this use case
rather then create aliases.

Comment 3 Jakub Hrozek 2016-04-27 15:05:57 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2999

Comment 4 Jakub Hrozek 2016-06-16 14:35:33 UTC
* master: 131684b9107a3fc07906013d16b35975531f2864

Comment 6 RHEL Program Management 2016-06-23 15:56:17 UTC
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 7 Jakub Hrozek 2016-06-23 17:43:07 UTC
FWIW, this was implemented in the upstream version, "just" won't be qualified.


Note You need to log in before you can comment on or make changes to this bug.